| Flutter Impeller |

Public Member Functions | List of all members
impeller::LocalMatrixImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::LocalMatrixImageFilter:

## Public Member Functions
| LocalMatrixImageFilter (const Matrix &matrix, const ImageFilter &internal_filter)
| ~LocalMatrixImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...
virtual int | GetRequiredMipCount () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 256 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ LocalMatrixImageFilter()

impeller::LocalMatrixImageFilter::LocalMatrixImageFilter | ( | const Matrix & | matrix,
|  | const ImageFilter & | internal_filter
| ) |  |

Definition at line 191 of file image_filter.cc.

194 : matrix_(matrix), internal_filter_(internal_filter.Clone()) {}

## ◆ ~LocalMatrixImageFilter()

impeller::LocalMatrixImageFilter::~LocalMatrixImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::LocalMatrixImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 204 of file image_filter.cc.

204 {
205 return std::make_shared<LocalMatrixImageFilter>(*this);
206 }

## ◆ Visit()

void impeller::LocalMatrixImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 273 of file image_filter.h.

273 :
274 Matrix matrix_;

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::LocalMatrixImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 198 of file image_filter.cc.

199 {
200 return FilterContents::MakeLocalMatrixFilter(
201 FilterInput::Make(internal_filter_->WrapInput(input)), matrix_);
202 }

References impeller::FilterInput::Make(), and impeller::FilterContents::MakeLocalMatrixFilter().

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::FilterInput::Make
static FilterInput::Ref Make(Variant input, bool msaa_enabled=true)
Definition: filter_input.cc:19
impeller::FilterContents::MakeLocalMatrixFilter
static std::shared_ptr< FilterContents > MakeLocalMatrixFilter(FilterInput::Ref input, const Matrix &matrix)
Definition: filter_contents.cc:97